%----------------------------------------------------------------
% Comparacin entre los mtodos MH-MCMC y Laplace
%Autor: Augusto Aliaga Miranda
%----------------------------------------------------------------
figure('Name','Comparacin entre Laplace y MCMC')
%----------------------------------------------------------------
% Parmetros del modelo
%----------------------------------------------------------------
eMmode=oo_.posterior_mode.shocks_std.eM;
eAmode=oo_.posterior_mode.shocks_std.eA;
eGmode=oo_.posterior_mode.shocks_std.eG;
eISmode=oo_.posterior_mode.shocks_std.eIS;
ePSmode=oo_.posterior_mode.shocks_std.ePS;
rhoMmode=oo_.posterior_mode.parameters.rhoM;
rhoAmode=oo_.posterior_mode.parameters.rhoA;
rhoGmode=oo_.posterior_mode.parameters.rhoG;
rhoISmode=oo_.posterior_mode.parameters.rhoIS;
rhoPSmode=oo_.posterior_mode.parameters.rhoPS;
%----------------------------------------------------------------
% Distribuciones posteriores del algoritmo MH-MCMC
%----------------------------------------------------------------
PD_eMMCMC=oo_.posterior_density.shocks_std.eM;
PD_eAMCMC=oo_.posterior_density.shocks_std.eA;
PD_eGMCMC=oo_.posterior_density.shocks_std.eG;
PD_eISMCMC=oo_.posterior_density.shocks_std.eIS;
PD_ePSMCMC=oo_.posterior_density.shocks_std.ePS;
rhoMMCMC=oo_.posterior_density.parameters.rhoM;
rhoAMCMC=oo_.posterior_density.parameters.rhoA;
rhoGMCMC=oo_.posterior_density.parameters.rhoG;
rhoISMCMC=oo_.posterior_density.parameters.rhoIS;
rhoPSMCMC=oo_.posterior_density.parameters.rhoPS;

%----------------------------------------------------------------
% Desviaciones estndar, obtenidas de la inversa del log - Hessiano
%--------------------------------------------------------------
eMstd=sqrt(oo_.posterior_variance.shocks_std.eM);
eAstd=sqrt(oo_.posterior_variance.shocks_std.eA);
eGstd=sqrt(oo_.posterior_variance.shocks_std.eG);
eIStd=sqrt(oo_.posterior_variance.shocks_std.eIS);
ePStd=sqrt(oo_.posterior_variance.shocks_std.ePS);
rhoMstd=sqrt(oo_.posterior_variance.parameters.rhoM);
rhoAstd=sqrt(oo_.posterior_variance.parameters.rhoA);
rhoGstd=sqrt(oo_.posterior_variance.parameters.rhoG);
rhoISstd=sqrt(oo_.posterior_variance.parameters.rhoIS);
rhoPSstd=sqrt(oo_.posterior_variance.parameters.rhoPS);

%----------------------------------------------------------------
% Grfico: Comparacin entre MH-MCMC y Laplace
%--------------------------------------------------------------
subplot(521)
plot(rhoMMCMC(:,1),rhoMMCMC(:,2),'r-',rhoMMCMC(:,1),normpdf(rhoMMCMC(:,1),rhoMmode,rhoMstd),'b-','LineWidth',1.5)
axis tight
title('\rho_\xi')
set(gca,'fontname','Times New Roman')
set(gca,'fontsize',14)
grid

subplot(522)
plot(PD_eMMCMC(:,1),PD_eMMCMC(:,2),'r-',PD_eMMCMC(:,1),normpdf(PD_eMMCMC(:,1),eMmode,eMstd),'b-','LineWidth',1.5)
axis tight
title('\sigma_\xi')
set(gca,'fontname','Times New Roman')
set(gca,'fontsize',14)
grid

subplot(523)
plot(rhoAMCMC(:,1),rhoAMCMC(:,2),'r-',rhoAMCMC(:,1),normpdf(rhoAMCMC(:,1),rhoAmode,rhoAstd),'b-','LineWidth',1.5)
axis tight
title('\rho_a')
set(gca,'fontname','Times New Roman')
set(gca,'fontsize',14)
grid

subplot(524)
plot(PD_eAMCMC(:,1),PD_eAMCMC(:,2),'r-',PD_eAMCMC(:,1),normpdf(PD_eAMCMC(:,1),eAmode,eAstd),'b-','LineWidth',1.5)
axis tight
title('\sigma_a')
set(gca,'fontname','Times New Roman')  % Set it to Times New Roman
set(gca,'fontsize',14)  % Set size
grid

subplot(525)
plot(rhoGMCMC(:,1),rhoGMCMC(:,2),'r-',rhoGMCMC(:,1),normpdf(rhoGMCMC(:,1),rhoGmode,rhoGstd),'b-','LineWidth',1.5)
axis tight
title('\rho_g')
set(gca,'fontname','Times New Roman')
set(gca,'fontsize',14)
grid

subplot(526)
plot(PD_eGMCMC(:,1),PD_eGMCMC(:,2),'r-',PD_eGMCMC(:,1),normpdf(PD_eGMCMC(:,1),eGmode,eGstd),'b-','LineWidth',1.5)
axis tight
title('\sigma_g')
set(gca,'fontname','Times New Roman')
set(gca,'fontsize',14)
grid

subplot(527)
plot(rhoISMCMC(:,1),rhoISMCMC(:,2),'r-',rhoISMCMC(:,1),normpdf(rhoISMCMC(:,1),rhoISmode,rhoISstd),'b-','LineWidth',1.5)
axis tight
title('\rho_{R*}')
set(gca,'fontname','Times New Roman')
set(gca,'fontsize',14)
grid

subplot(528)
plot(PD_eISMCMC(:,1),PD_eISMCMC(:,2),'r-',PD_eISMCMC(:,1),normpdf(PD_eISMCMC(:,1),eISmode,eIStd),'b-','LineWidth',1.5)
axis tight
title('\sigma_{R*}')
set(gca,'fontname','Times New Roman')
set(gca,'fontsize',14)
grid

subplot(529)
plot(rhoPSMCMC(:,1),rhoPSMCMC(:,2),'r-',rhoPSMCMC(:,1),normpdf(rhoPSMCMC(:,1),rhoPSmode,rhoPSstd),'b-','LineWidth',1.5)
axis tight
title('\rho_{P*}')
set(gca,'fontname','Times New Roman')  % Set it to Times New Roman
set(gca,'fontsize',14)  % Set size
grid

subplot(5,2,10)
plot(PD_ePSMCMC(:,1),PD_ePSMCMC(:,2),'r-',PD_ePSMCMC(:,1),normpdf(PD_ePSMCMC(:,1),ePSmode,ePStd),'b-','LineWidth',1.5)
axis tight
title('\sigma_{P*}')
set(gca,'fontname','Times New Roman')  % Set it to Times New Roman
set(gca,'fontsize',14)  % Set size
grid
legend('MH-MCMC','Laplace', 'orientation', 'horizontal')
rect = [0.493, 0.026, 0.05, 0.01];
set(legend, 'Position', rect)